import { Command, Mark } from '@tiptap/core';
export interface HighlightOptions {
    multicolor: boolean;
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands {
        highlight: {
            /**
             * Set a highlight mark
             */
            setHighlight: (attributes?: {
                color: string;
            }) => Command;
            /**
             * Toggle a highlight mark
             */
            toggleHighlight: (attributes?: {
                color: string;
            }) => Command;
            /**
             * Unset a highlight mark
             */
            unsetHighlight: () => Command;
        };
    }
}
export declare const inputRegex: RegExp;
export declare const pasteRegex: RegExp;
export declare const Highlight: Mark<HighlightOptions>;
